BlockGetAndPut< T, B, GA, PA > Class Template Reference

Access a block of memory. More...

## Public Types

typedef PutBlock< T, B, PA > | Put

## Static Public Member Functions

static GetBlock< T, B, GA > | Get (const void *block)

## Detailed Description

### template<class T, class B, bool GA = false, bool PA = false>
class BlockGetAndPut< T, B, GA, PA >

Access a block of memory.

Template Parameters

  T | class or type
  B | enumeration indicating endianess
  GA | flag indicating alignment for the Get operation
  PA | flag indicating alignment for the Put operation

GetBlock() provides alternate write access to a block of memory. The enumeration B is BigEndian or LittleEndian. The flag A indicates if the memory block is aligned for class or type T.

See also
  GetBlock() and PutBlock().

Definition at line 2246 of file misc.h.

The documentation for this class was generated from the following file:

- misc.h